dataplaneapi {
  host = "127.0.0.1"
  port = 5555

  user "dataplaneapi" {
    insecure = true
    password = "dataplaneapi"
  }

  transaction {
    transaction_dir = "/var/lib/haproxy"
  }
}

haproxy {
  config_file = "/etc/haproxy/haproxy.cfg"
  haproxy_bin = "/usr/sbin/haproxy"

  reload {
    reload_cmd  = "systemctl reload haproxy"
    restart_cmd = "systemctl restart haproxy"
    reload_delay = "5"
  }
}

log {
  log_to = "file"
  log_file = "/var/log/dataplaneapi.log"
  log_level = "debug"
  log_format = "text"
  apache_common_log_format = "%h"

  syslog {
    syslog_address = "null"
    syslog_protocol = "tcp"
    syslog_tag = "dataplaneapi"
    syslog_level = "info"
    syslog_facility = "local0"
  }
}
